Composer: gridlines on worldmap disappear + exceptions in debug when zoomin out of world + 

segfault

2015-09-15 04:12 AM - Richard Duivenvoorde

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 21415

Description

not sure if it is crs related, but to reproduce:

- create a project in epsg:3857 and load either a world shape file or googlemaps layer with QuickServicesPlugin

- create a composer with only one map item

- on this map create a grit in epsg:4326 with interval units 10 map units

- enable the button 'move item content'

- and zoom in or out using the scroll wheel of your mouse, or just move the map around

- and you will see the artifacts you see in the screendump:

1) some lines disappear (and stay away when you do not move the map anymore), see screendump

2) looking in debug messages, you see crs-transformation exceptions, see screendump

3) as soon as you have had this exceptions, and have saved this project and stop qgis you will see a segmentation fault

I'm aware that I'm looking outside of the crs off course (zooming out too much), but I do not think this should lead to exceptions and

segfault

History

#1 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.12)

#2 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2017-03-07 08:38 AM - Giovanni Manghi

- Target version set to Version 2.18

- Affected QGIS version changed from master to 2.18.4

- Status changed from Open to Feedback

Hi Richard,

I try the provided workflow, can see the missing lines, zoomed/panned like crazy, saved, closed qgis, no crashes. 2.18.4 on Ubuntu 16.04

Changing the affected version to the latest incarnation of the old "master2" branch.

#4 - 2017-03-08 12:40 AM - Richard Duivenvoorde
Agreed, I do not see this anymore in current 3/master.

As this was already a corner case, let's just close it.

#5 - 2017-03-08 12:40 AM - Richard Duivenvoorde

- Status changed from Feedback to Closed

#6 - 2017-03-08 12:41 AM - Giovanni Manghi

- Resolution set to not reproducable
